%define major		0
%define libname		%mklibname kdsoapwsdiscoveryclient %{major}
%define devname		%mklibname kdsoapwsdiscoveryclient -d

Name:		kdsoap-ws-discovery-client
Version:	0.4.0
Release:	%mkrel 1
Summary:	Qt based WS-Discovery client library based on KDSoap
Group:		System/Libraries
License:	GPLv3+
Url:		https://caspermeijn.gitlab.io/kdsoap-ws-discovery-client
Source0:	https://download.kde.org/stable/kdsoap-ws-discovery-client/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros
BuildRequires:	cmake(KDSoap-qt6)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6ToolsTools)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	doxygen
BuildRequires:	qttools6
BuildRequires:	qttools6-assistant

%description
Library for finding WS-Discovery devices in the network using Qt
and KDSoap.

#------------------------------------------------------------------------------

%package -n %{libname}
Summary:	Qt based WS-Discovery client library based on KDSoap
Group:		System/Libraries

%description -n %{libname}
Library for finding WS-Discovery devices in the network using Qt6
and KDSoap.

#------------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for the WS-Discovery client library based on KDSoap
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for the Qt based WS-Discovery client library based
on KDSoap.

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DBUILD_QCH=ON \
       -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSES/GPL-3.0-or-later.txt LICENSES/CC0-1.0.txt
%{_libdir}/libKDSoapWSDiscoveryClient.so.%{major}{,.*}

%files -n %{devname}
%doc %{_docdir}/KDSoapWSDiscoveryClient/
%doc %{_qt6_docdir}/KDSoapWSDiscoveryClient.qch
%doc %{_qt6_docdir}/KDSoapWSDiscoveryClient.tags
%{_includedir}/KDSoapWSDiscoveryClient/
%{_libdir}/*.so
%{_libdir}/cmake/KDSoapWSDiscoveryClient/


%changelog
* Fri Feb 23 2024 daviddavid <daviddavid> 0.4.0-1.mga10
+ Revision: 2043697
- new version: 0.4.0

* Wed Nov 15 2023 daviddavid <daviddavid> 0.3.0-1.mga10
+ Revision: 2006830
- new version: 0.3.0
- switch to Qt6

* Mon Apr 04 2022 umeabot <umeabot> 0.2-0.git20200506.5.mga9
+ Revision: 1843742
- Mageia 9 Mass Rebuild

* Sun Aug 08 2021 luigiwalser <luigiwalser> 0.2-0.git20200506.4.mga9
+ Revision: 1740544
- rebuild for kdsoap

* Thu Dec 17 2020 umeabot <umeabot> 0.2-0.git20200506.3.mga8
+ Revision: 1658689
- Rebuild for new Qt5

* Thu Oct 22 2020 daviddavid <daviddavid> 0.2-0.git20200506.2.mga8
+ Revision: 1638199
- rebuild for new kdsoap 1.9.1

* Thu Sep 17 2020 daviddavid <daviddavid> 0.2-0.git20200506.1.mga8
+ Revision: 1628203
- initial package kdsoap-ws-discovery-client

